Subject: RE: [MIPSHOP-MIH-DT] technical stuff - how to begin the work

From: "Stefano Faccin" <[email-masked]>
Date: Wed, 21 Feb 2007 15:17:01 -0800

Hi guys,

I am concerned about the progress in this area. I strongly encourage you
to "sit down" and start the work. May I suggest that somebody takes a
stab at it, to create a starting point? You seem to be at an impasse
here. And just 6 days to go.

Stefano

P.S. I apologize for being off the list for a while (issues with my
e-mail address). 

________________________________

From: Hancock, Robert [mailto:[email-masked]] 
Sent: Wednesday, February 21, 2007 1:47 AM
To: Telemaco Melia; Zuniga, Juan Carlos
Cc: [email-masked]
Subject: RE: [MIPSHOP-MIH-DT] technical stuff - how to begin the work

hi tele, juan,

I would certainly be happy to do an update to the design considerations
draft (I can certainly get all the current authors to transfer
responsibility for it to the design team, and it gives us an extra
week).

the question is, what are the technical opinions of the design team on
the content of that draft. it's very easy for me to express my opinion:
I agree with all of it. If the rest of the design team agrees with all
of it, then that would be significant progress, but I've been trying to
be careful not to impose that view on other people. If there are bits
which other people in the design team don't agree with, then I need them
to speak up and say which bits and where the disagreements would be - I
can't guess this myself. maybe people with input could start a mail
thread on each issue? (I can always set up a tracker in the future, but
at the moment it doesn't seem necessary.)

cheers,

robert h. 

________________________________

From: Telemaco Melia [mailto:[email-masked]] 
Sent: 20 February 2007 12:10
To: Zuniga, Juan Carlos
Cc: [email-masked]
Subject: Re: [MIPSHOP-MIH-DT] technical stuff - how to begin the work

	Hi all,
	
	Any chance to advance the proposed design considerations draft
(maybe a reduced version) and write up a first doc?
	
	Cheers
	Telemaco
	
	Zuniga, Juan Carlos wrote: 

	Robert,
	 
	Srini's approach makes a lot of sense to move forward, but time
keeps
	running and we only have 2 weeks before the Feb 26th deadline. 
	 
	- Could you let the DT know if you agree, and what do you expect
to
	produce and report to the WG?
	 
	Regards,
	 
	Juan Carlos
	 
	-----Original Message-----
	From: Subir Das [mailto:[email-masked]] 
	Sent: February 8, 2007 11:47 AM
	To: [email-masked]
	Cc: [email-masked]
	Subject: Re: [MIPSHOP-MIH-DT] technical stuff - how to begin the
work
	 
	I agree with this approach.
	 
	Robert: Are you planning to put them in a doc and circulate this
	quickly?
	 
	regards,
	-Subir
	 
	[email-masked] wrote:

		Hello all,
		Let's proceed over emails to make some progress. Before
we jump into
		serious technical discussions it would be good to make a
ppt of the

	work

		scope, expectation from the team and how and when the
results are made
		open. There also have been some emails on these aspects
on the mailing
		list. 
		 
		Some points to capture:
		O. Write down what, how and when aspects of the DT work
		o. Publish the results for review by MIPSHOP and 802.21.
e.g. write a
		new draft or update the existing one (better to announce
it now ) 
		O. deadline to remember is Feb 26th for 00 version.
		o. Periodically announce the work progress on the
mailing list
		(Qiaobing's request)
		 
		Robert, can we take some time and summarize these? You
may have

	already

		captured it in various emails, just put in ppt and a
timeline.

		Regards,
		Srini

		-----Original Message-----
		From: ext Sam Xia [mailto:[email-masked]] 
		Sent: Thursday, February 01, 2007 1:23 AM
		To: 'Robert Hancock'; Sreemanthula Srinivas
(Nokia-SIR/Dallas);
		[email-masked];
[email-masked];
		[email-masked]
		Cc: [email-masked]
		Subject: RE: [MIPSHOP-MIH-DT] technical stuff - how to
begin the work
		 
		Hi, all,
		  I think that it is good for us to determine more
specific

	discusssing

		items before teleconference. If not, I don't see that it
will be an
		efficient meeting. So I do agree with what Robert said.
		 
		 Best Regards, Sam Xia 

			-----Original Message-----
			From: Robert Hancock
[mailto:[email-masked]]
			Sent: Thursday, February 01, 2007 2:16 AM
			To: [email-masked];
			[email-masked];
			[email-masked];
[email-masked]
			Cc: [email-masked]
			Subject: RE: [MIPSHOP-MIH-DT] technical stuff -
how to begin the work
			 
			hi all,
			 
			while i appreciate the attraction of a phone
conference (at least for

			some), please bear in mind that AFAIK we have
people in the DT from 
			US, Europe and Far East. So fair scheduling is
pretty tricky. For

	that

		  

			reason, I would really like people to comment on
the technical

	aspects

		  

			of the original email (as well as the
organisation of how to discuss 
			them).
			 
			r. 

				-----Original Message-----
				From: [email-masked] 
				[mailto:[email-masked]]
				Sent: 31 January 2007 17:24
				To: [email-masked];
				[email-masked];
[email-masked]
				Cc: [email-masked]
				Subject: RE: [MIPSHOP-MIH-DT] technical
stuff - how to

			begin the work

				Me too.
				 
				Regards,
				Srini
				 
				-----Original Message-----
				From: ext Zuniga, Juan Carlos
	
[mailto:[email-masked]]
				Sent: Wednesday, January 31, 2007 9:15
AM
				To: Subir Das; Telemaco Melia
				Cc: [email-masked]
				Subject: RE: [MIPSHOP-MIH-DT] technical
stuff - how to

			begin the work

				I'm also fine with the rest of this
week, or Monday next week.
				 
				Regards,
				 
				Juan Carlos

				-----Original Message-----
				From: Subir Das
[mailto:[email-masked]]
				Sent: January 30, 2007 5:12 PM
				To: Telemaco Melia
				Cc: [email-masked]
				Subject: Re: [MIPSHOP-MIH-DT] technical
stuff - how to

			begin the work

				 I am fine with any time in the morning,
EST (US)  rest of

			this week.

				Thanks,
				-Subir
				 
				Telemaco Melia wrote:

				Hi all,
				 
				I support Robert's suggestion about
splitting the work. 
				What about an AC next week (e.g. Monday,
Wednesday)?
				Comments?
				 
				Cheers,
				Telemaco

				-----Original Message-----
				From: Robert Hancock
[mailto:[email-masked]]
				Sent: Wednesday, January 24, 2007 4:36
PM
				To: [email-masked]
				Subject: [MIPSHOP-MIH-DT] technical
stuff - how to begin the work
				 
				Hi,
				 
				We now have the question how to begin
the work on a solution.
				 
				One thing i want to avoid is starting
off with a 'who likes what

				solution'

				discussion. My perception is that once
we all have a

			common view on

				the problem, choosing a solution will
actually be the

			simpler part of

				the problem.

				>From that point of view, I'd rather
have a higher level

			discussion

				about the

				issues which a solution has to take
account of. For that, we

				previously wrote the design
considerations draft (still at 
	
http://tools.ietf.org/wg/mipshop/draft-hepworth-mipshop-mih-de
				sign-consi
				dera

				tions-01.txt) which I humbly claim at
least provides a set

				of headings
				for the things that we have to worry
about. Please note:

				- I'm not claiming that people have to
agree that the

				analysis in that
				draft is correct. That is what we are
discussing. I am

			claiming that

				the list of issues is pretty good.

				- I'm not even claiming that we have to
construct an

			update to this

				draft or follow its structure; but it
would be nice to capture the 
				conclusions of our discussions in some
way.

				Please can people say what they think
about this approach. We can

				split up the small problems (1 each or
so) and argue out

			any issues on

				this list.

				I think there are a few bigger issues
for which we could

				form smaller
				groups to look at things. They are
either harder, or require closer 
				work with the details of the .21
standard:

				- one is discovery. here, there just
seem to be too many different

				options, and we have to think about the
tradeoff between 
				allowing/supporting many and being able
to enforce a universal one

				- another is security. we need to have a
view on what security

				services the MIH transport actually
needs (who

			authenticates who, what

				identity infrastructures that
authentication might be based on)

				- another is the transport/application
service interface. 

				.21 is going
				through various versions of this, which
it would be ideal to align 
				with what we actually propose.

				What would be nice now is if people can
say what they think

				about this
				as an approach for the work; and, if
they approve of the approach, 
				what parts of the analysis they would
feel happy to take

			the lead on

				or take part in.

				cheers,
				 
				robert h.

_______________________________________________
				MIPSHOP-MIH-DT mailing list
				[email-masked]
	
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt

_______________________________________________
				MIPSHOP-MIH-DT mailing list
				[email-masked]
	
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt

_______________________________________________
				MIPSHOP-MIH-DT mailing list
				[email-masked]
	
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt

_______________________________________________
				MIPSHOP-MIH-DT mailing list
				[email-masked]
	
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt

_______________________________________________
				MIPSHOP-MIH-DT mailing list
				[email-masked]
	
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt

			_______________________________________________
			MIPSHOP-MIH-DT mailing list
			[email-masked]
	
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt

		_______________________________________________
		MIPSHOP-MIH-DT mailing list
		[email-masked]
		https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt

	_______________________________________________
	MIPSHOP-MIH-DT mailing list
	[email-masked]
	https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt
	 
	_______________________________________________
	MIPSHOP-MIH-DT mailing list
	[email-masked]
	https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt

	

	-- 
	Telemaco Melia               [email-masked]
	Research Staff Member               Tel: +49 (0) 6221 4342- 142
	Network Laboratories         Fax: +49 (0) 6221 4342- 155
	NEC Europe Ltd.              Web: http://www.netlab.nec.de
	Network Laboratories           
	Kurfuersten-Anlage 36       
	69115 Heidelberg
	GERMANY   

	NEC Europe Limited | Registered Office: NEC House, 1 Victoria
Road, London W3 6BL | Registered in England 2832014 

_______________________________________________
MIPSHOP-MIH-DT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt